Package org.eclipse.birt.core.framework

# Interface IPlatform

public interface IPlatform
Defines the Platform interface that allows BIRT to be run in Eclipse and server environments

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`EXTENSION_POINT_FACTORY_SERVICE`
`static final String`
`OS_AIX`
`static final String`
`OS_HPUX`
`static final String`
`OS_LINUX`
`static final String`
`OS_MACOSX`
`static final String`
`OS_QNX`
`static final String`
`OS_SOLARIS`
`static final String`
`OS_UNKNOWN`
`static final String`
`OS_WIN32`

## Method Summary

Modifier and Type
Method
Description
`URL`
`asLocalURL(URL url)`
`Object`
`createFactoryObject(String factory)`
`Object`
`enterPlatformContext()`
`void`
`exitPlatformContext(Object context)`
`URL`
`find(IBundle bundle, IPlatformPath path)`
`org.eclipse.core.runtime.IAdapterManager`
`getAdapterManager()`
`IBundle`
`getBundle(String symblicName)`
`String`
`getDebugOption(String name)`
`IExtensionRegistry`
`getExtensionRegistry()`
`String`
`getOS()`
`void`
`initializeTracing(String pluginName)`

## Field Details

### EXTENSION_POINT_FACTORY_SERVICE

static final String EXTENSION_POINT_FACTORY_SERVICE

See Also:
  - Constant Field Values

### OS_WIN32

static final String OS_WIN32

See Also:
  - Constant Field Values

### OS_LINUX

static final String OS_LINUX

See Also:
  - Constant Field Values

### OS_AIX

static final String OS_AIX

See Also:
  - Constant Field Values

### OS_SOLARIS

static final String OS_SOLARIS

See Also:
  - Constant Field Values

### OS_HPUX

static final String OS_HPUX

See Also:
  - Constant Field Values

### OS_QNX

static final String OS_QNX

See Also:
  - Constant Field Values

### OS_MACOSX

static final String OS_MACOSX

See Also:
  - Constant Field Values

### OS_UNKNOWN

static final String OS_UNKNOWN

See Also:
  - Constant Field Values

## Method Details

### getExtensionRegistry

IExtensionRegistry getExtensionRegistry()

Returns:
  the global extension registry

### getAdapterManager

org.eclipse.core.runtime.IAdapterManager getAdapterManager()

### getBundle

IBundle getBundle(String symblicName)

Parameters:
  `symblicName` -
Returns:

### find

URL find(IBundle bundle, IPlatformPath path)

Parameters:
  `bundle` -
  `path` -
Returns:

### asLocalURL

URL asLocalURL(URL url) throws IOException

Parameters:
  `url` -
Returns:
Throws:
  `IOException`

### getDebugOption

String getDebugOption(String name)

Parameters:
  `name` -
Returns:

### initializeTracing

void initializeTracing(String pluginName)

Parameters:
  `pluginName` -

### createFactoryObject

Object createFactoryObject(String factory)

Parameters:
  `factory` -
Returns:

### enterPlatformContext

Object enterPlatformContext()

### exitPlatformContext

void exitPlatformContext(Object context)

### getOS

String getOS()